# flatredball-glue-elements-objectfinder

### Introduction

The ObjectFinder is a globally-available object which can help return instances of various elements in the currently loaded Glue project. The ObjectFinder can help you find:

* EnitySaves
* ScreenSaves
* ReferencedFileSaves

### Common Usage

Since the ObjectFinder is a singleton it can be accessed anywhere. The following code shows how to get an IElement instance from the currently loaded glue project:

```
IElement element = ObjectFinder.Self.GetIElement("Entities\\EntityName");
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue-elements-objectfinder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
